Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionListViewItem Class Reference

The QStyleOptionListViewItem class is used to describe an item drawn in a Q3ListView. More...

    #include <QStyleOptionListViewItem>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum ListViewItemFeature { None, Expandable, MultiLine, Visible, ParentControl }
- typedef ListViewItemFeatures

### Read-Only Properties

childCount : int features : ListViewItemFeatures height : int | itemY : int totalHeight : int

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionListViewItem ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionListViewItem class is used to describe an item drawn in a Q3ListView.

This is used by the compatibility Q3ListView to draw its items. It should be avoided for new classes.

See also Q3ListView and Q3ListViewItem.

## Member Type Documentation

### enum QStyleOptionListViewItem::ListViewItemFeature
typedef QStyleOptionListViewItem::ListViewItemFeatures

This enum describes the features a list view item can have.

`QStyleOptionListViewItem::None` | A standard item.
`QStyleOptionListViewItem::Expandable` | The item has children that can be shown.
`QStyleOptionListViewItem::MultiLine` | The item is more than one line tall.
`QStyleOptionListViewItem::Visible` | The item is visible.
`QStyleOptionListViewItem::ParentControl` | The item's parent is a type of item control (QCheckListItem::Controller).

The ListViewItemFeatures typedef can store a combination of ListViewItemFeature values.

See also features, Q3ListViewItem::isVisible(), Q3ListViewItem::multiLinesEnabled(), and Q3ListViewItem::isExpandable().

## Property Documentation

### childCount : int

This property holds the number of children the item has.

### features : ListViewItemFeatures

This property holds the features for this item.

This variable is a bitwise OR of the features of the item.

See also ListViewItemFeature.

### height : int

This property holds the height of the item.

This doesn't include the height of the item's children.

See also Q3ListViewItem::height().

### itemY : int

This property holds the Y-coordinate for the item.

See also Q3ListViewItem::itemY().

### totalHeight : int

This property holds the total height of the item, including its children.

See also Q3ListViewItem::totalHeight().

## Member Function Documentation

### QStyleOptionListViewItem::QStyleOptionListViewItem ()

Constructs a QStyleOptionListViewItem. The members variables are initialized to default values.